#ifndef WIN_V_OBJECT_MAIN_H___
#define WIN_V_OBJECT_MAIN_H___

#include "vwin_error.h"

#ifdef __cplusplus
extern "C"{
#endif

void value_changed(VObject *obj,MSG *msg);
void descriptor_changed(VObject *obj,MSG *msg);

void
v_set_descriptor(VInfo *info,
		const L_CHAR *desc,
		const LC_WRITING_STYLE *ws,
		int fsize,
		bool vert_desc,
		VSize *min_size);

#ifdef __cplusplus
}
#endif

#endif